Package com.verisign.epp.codec.contact

## Class EPPContactDeleteCmd

- java.lang.Object
- - com.verisign.epp.codec.gen.EPPCommand
  - - com.verisign.epp.codec.gen.EPPDeleteCmd
    - - com.verisign.epp.codec.contact.EPPContactDeleteCmd

- All Implemented Interfaces:
    `EPPCodecComponent`, `EPPMessage`, `java.io.Serializable`, `java.lang.Cloneable`

      public class EPPContactDeleteCmd
      extends EPPDeleteCmd

  Represents an EPP Contact <delete> command that allows a client to delete a contact object. In addition to the standard EPP command elements, the <delete> command MUST contain a "contact:delete" element that identifies the contact namespace and the location of the contact schema. The "contact:delete" element SHALL contain the following child elements:
  - A <contact:id> element that contains the server-unique identifier for the contact to be deleted. Use `getId` and `setId` to get and set the element.
  `EPPReponse` is the response associated with `EPPContactDeleteCmd`.
  See Also:
    `EPPResponse`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.verisign.epp.codec.gen.EPPCommand

      `extensions, OP_APPROVE, OP_CANCEL, OP_QUERY, OP_REJECT, OP_REQUEST, transId, TYPE_CHECK, TYPE_CREATE, TYPE_DELETE, TYPE_INFO, TYPE_LOGIN, TYPE_LOGOUT, TYPE_POLL, TYPE_RENEW, TYPE_TRANSFER, TYPE_UPDATE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPContactDeleteCmd()` | `EPPContactDeleteCmd` default constructor.
    `EPPContactDeleteCmd​(java.lang.String aTransId, java.lang.String aId)` | `EPPContactDeleteCmd` constructor that takes the contact id as an argument.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `clone()` | Clone `EPPContactDeleteCmd`.
    `protected void` | `doDecode​(org.w3c.dom.Element aElement)` | Decode the `EPPContactDeleteCmd` attributes from the aElement DOM Element tree.
    `protected org.w3c.dom.Element` | `doEncode​(org.w3c.dom.Document aDocument)` | Encode a DOM Element tree from the attributes of the `EPPContactDeleteCmd` instance.
    `boolean` | `equals​(java.lang.Object aObject)` | Compare an instance of `EPPContactDeleteCmd` with this instance.
    `java.lang.String` | `getId()` | Gets the contact id to delete.
    `java.lang.String` | `getKey()` | Gets the key for the contact object, which is the contact identifier.
    `java.lang.String` | `getNamespace()` | Gets the EPP command Namespace associated with `EPPContactDeleteCmd`.
    `void` | `setId​(java.lang.String aId)` | Sets the contact id to delete.
    `java.lang.String` | `toString()` | Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPDeleteCmd

      `doGenDecode, doGenEncode, getType`

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPCommand

      `addExtension, decode, encode, findDuplicateExtNamespaces, findExtNamespaces, findExtNamespaceSuffixes, findUnsupportedExtNamespaces, findUnsupportedExtNamespaceSuffixes, getExtension, getExtension, getExtensions, getOp, getTransId, hasExtension, hasExtensions, hasKey, hasTransId, setExtension, setExtensions, setTransId`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPContactDeleteCmd

          public EPPContactDeleteCmd()

      `EPPContactDeleteCmd` default constructor. The id is initialized to `null`. The id must be set before invoking `encode`.

    - #### EPPContactDeleteCmd

          public EPPContactDeleteCmd​(java.lang.String aTransId,
                                     java.lang.String aId)

      `EPPContactDeleteCmd` constructor that takes the contact id as an argument.
      Parameters:
        `aTransId` - Transaction Id associated with command.
        `aId` - Contact id to delete.

  - ### Method Detail

    - #### getNamespace

          public java.lang.String getNamespace()

      Gets the EPP command Namespace associated with `EPPContactDeleteCmd`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Specified by:
        `getNamespace` in interface `EPPMessage`
      Specified by:
        `getNamespace` in class `EPPCommand`
      Returns:
        `EPPContactMapFactory.NS`

    - #### getKey

          public java.lang.String getKey()

      Gets the key for the contact object, which is the contact identifier.
      Overrides:
        `getKey` in class `EPPCommand`
      Returns:
        The host identifier if set; `null` otherwise.

    - #### doEncode

          protected org.w3c.dom.Element doEncode​(org.w3c.dom.Document aDocument)
                                          throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPContactDeleteCmd` instance.
      Specified by:
        `doEncode` in class `EPPDeleteCmd`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Root DOM Element representing the `EPPContactDeleteCmd` instance.
      Throws:
        `EPPEncodeException` - Unable to encode `EPPContactDeleteCmd` instance.

    - #### doDecode

          protected void doDecode​(org.w3c.dom.Element aElement)
                           throws EPPDecodeException

      Decode the `EPPContactDeleteCmd` attributes from the aElement DOM Element tree.
      Specified by:
        `doDecode` in class `EPPDeleteCmd`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPContactDeleteCmd` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### getId

          public java.lang.String getId()

      Gets the contact id to delete.
      Returns:
        Contact Id `String` instance if defined; `null` otherwise.

    - #### setId

          public void setId​(java.lang.String aId)

      Sets the contact id to delete.
      Parameters:
        `aId` - Contact Id

    - #### equals

          public boolean equals​(java.lang.Object aObject)

      Compare an instance of `EPPContactDeleteCmd` with this instance.
      Overrides:
        `equals` in class `EPPDeleteCmd`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        DOCUMENT ME!

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPContactDeleteCmd`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `EPPCommand`
      Returns:
        clone of `EPPContactDeleteCmd`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `EPPCommand`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.